## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanElemCallTemplateAllocator Class Reference

`#include <XalanElemCallTemplateAllocator.hpp>`

Collaboration diagram for XalanElemCallTemplateAllocator:

[legend]
List of all members.

## Public Types

- typedef ElemCallTemplate data_type
- typedef ArenaAllocator<data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanElemCallTemplateAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanElemCallTemplateAllocator ()
- data_type* create (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an instance. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all objects from the allocator. More...
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ArenaAllocator< data_type > XalanElemCallTemplateAllocator::ArenaAllocatorType<data_type>

typedef ElemCallTemplate XalanElemCallTemplateAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemCallTemplateAllocator::size_type

## Constructor & Destructor Documentation

XalanElemCallTemplateAllocator::XalanElemCallTemplateAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanElemCallTemplateAllocator::~XalanElemCallTemplateAllocator ( | )

## Member Function Documentation

data_type * XalanElemCallTemplateAllocator::create ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an instance. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
Returns: A pointer to the new instance.

size_type XalanElemCallTemplateAllocator::getBlockCount ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanElemCallTemplateAllocator::getBlockSize ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanElemCallTemplateAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XalanElemCallTemplateAllocator::reset ( | )

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemCallTemplateAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.